package database

import (
	"git.jmbit.de/jmb/patchman/common"
	"github.com/google/uuid"
	"gorm.io/gorm"
	"time"
)

type Endpoint struct {
	gorm.Model
	ID             uuid.UUID `gorm:"primaryKey"`
	Name           string
	lastConnection *time.Time
	OSInfo         common.OSInfo
}

type PackageList struct {
	gorm.Model
	ID uuid.UUID `gorm:"primaryKey"`
}
